#
# CIP Core tiny profile
# kas configuration for Debian 10 buster userland (Machine-independent part)
#
# Copyright (c) 2020 TOSHIBA Corp.
#
# SPDX-License-Identifier: MIT
#

header:
  version: 3

repos:
  poky:
    url: "https://git.yoctoproject.org/git/poky"
    refspec: d4b57c68b22027c2bedff335dee06af963e4f8a8
    layers:
      meta:
      meta-poky:

  meta-debian:
    url: https://github.com/meta-debian/meta-debian.git
    refspec: 8d0e2af979cc0c8f0c7a71307a3759c49ebbb345

  meta-cip-core:
    layers:
      meta-cip-core:

distro: deby-tiny

# TODO: The following definitions in local.conf of meta-debian
# should be fixed and defined another place (e.g. distro.conf)
# because local.conf should contains definitions that users
# want to override (to change the default behavior).
local_conf_header:
  base: |
    PACKAGE_CLASSES = "package_deb"
    EXTRA_IMAGE_FEATURES = "debug-tweaks"
    USER_CLASSES = "buildstats image-mklibs image-prelink"
    PATCHRESOLVE = "noop"
